<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__clk__data__type" kind="group">
    <compoundname>group_ble_clk_data_type</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__clk__data__type_1gacac097104dc7260c8d3bedd0286b3730" kind="enum" prot="public" static="no">
        <name>cy_en_ble_mxd_radio_clk_div_t</name>
        <enumvalue id="group__group__ble__clk__data__type_1ggacac097104dc7260c8d3bedd0286b3730a794ab40b27426cca5694d7fdde8f69cf" prot="public">
          <name>CY_BLE_MXD_RADIO_CLK_DIV_1</name>
          <initializer>= 0U</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1ggacac097104dc7260c8d3bedd0286b3730aa41b35bda63e296fd94d045796e3284c" prot="public">
          <name>CY_BLE_MXD_RADIO_CLK_DIV_2</name>
          <initializer>= 1U</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1ggacac097104dc7260c8d3bedd0286b3730ab7f91ca60a6dddb6d2d4c49d73ad592a" prot="public">
          <name>CY_BLE_MXD_RADIO_CLK_DIV_4</name>
          <initializer>= 2U</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1ggacac097104dc7260c8d3bedd0286b3730ae1acfa183b773d464581ac3119eaaa60" prot="public">
          <name>CY_BLE_MXD_RADIO_CLK_DIV_8</name>
          <initializer>= 4U</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1ggacac097104dc7260c8d3bedd0286b3730a31f3dc7473797b79e751bf4f88c74e63" prot="public">
          <name>CY_BLE_MXD_RADIO_CLK_DIV_16</name>
          <initializer>= 8U</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_mxd_radio_clk_div_t: </bold><linebreak />BLE Radio ECO clock divider.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="163" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ble_clk.h" bodystart="156" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ble_clk.h" line="157" />
      </memberdef>
      <memberdef id="group__group__ble__clk__data__type_1ga439b5366e925c5e8e3e1f88e4e04843f" kind="enum" prot="public" static="no">
        <name>cy_en_ble_mxd_radio_clk_buf_amp_t</name>
        <enumvalue id="group__group__ble__clk__data__type_1gga439b5366e925c5e8e3e1f88e4e04843fa0fc436315ced13a4175da0d9c742e01e" prot="public">
          <name>CY_BLE_MXD_RADIO_CLK_BUF_AMP_16M_SMALL</name>
          <initializer>= 0U</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1gga439b5366e925c5e8e3e1f88e4e04843fa2a99ab98028382dc776a454019327a83" prot="public">
          <name>CY_BLE_MXD_RADIO_CLK_BUF_AMP_16M_LARGE</name>
          <initializer>= 1U</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1gga439b5366e925c5e8e3e1f88e4e04843fa61a79a7886f9854cd1274a10ecf3406f" prot="public">
          <name>CY_BLE_MXD_RADIO_CLK_BUF_AMP_32M_SMALL</name>
          <initializer>= 2U</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1gga439b5366e925c5e8e3e1f88e4e04843fa0830602ddb3d55568147cbf23041b077" prot="public">
          <name>CY_BLE_MXD_RADIO_CLK_BUF_AMP_32M_LARGE</name>
          <initializer>= 3U</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_mxd_radio_clk_buf_amp_t: </bold><linebreak />Sine wave buffer output capability select.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="172" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ble_clk.h" bodystart="166" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ble_clk.h" line="167" />
      </memberdef>
      <memberdef id="group__group__ble__clk__data__type_1ga6abe5c57a14b4d33cdc0f4d61392bcfb" kind="enum" prot="public" static="no">
        <name>cy_en_ble_bless_xtal_clk_div_config_llclk_div_t</name>
        <enumvalue id="group__group__ble__clk__data__type_1gga6abe5c57a14b4d33cdc0f4d61392bcfba982301f81a93ada192c7133805ee41be" prot="public">
          <name>CY_BLE_BLESS_XTAL_CLK_DIV_1</name>
          <initializer>= 0U</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1gga6abe5c57a14b4d33cdc0f4d61392bcfba6912fce3317c5ec3470f82ca32e4dc36" prot="public">
          <name>CY_BLE_BLESS_XTAL_CLK_DIV_2</name>
          <initializer>= 1U</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1gga6abe5c57a14b4d33cdc0f4d61392bcfba4256815e224a814a1161c9558a06d3b0" prot="public">
          <name>CY_BLE_BLESS_XTAL_CLK_DIV_4</name>
          <initializer>= 2U</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1gga6abe5c57a14b4d33cdc0f4d61392bcfbabe4a89aef0d487b8f74518dff71efabb" prot="public">
          <name>CY_BLE_BLESS_XTAL_CLK_DIV_8</name>
          <initializer>= 3U</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_bless_xtal_clk_div_config_llclk_div_t: </bold><linebreak />BLESS clock divider.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="181" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ble_clk.h" bodystart="175" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ble_clk.h" line="176" />
      </memberdef>
      <memberdef id="group__group__ble__clk__data__type_1ga90f34ffaefcfb39107f8f60a2a910b10" kind="enum" prot="public" static="no">
        <name>cy_en_ble_eco_freq_t</name>
        <enumvalue id="group__group__ble__clk__data__type_1gga90f34ffaefcfb39107f8f60a2a910b10a53a99e8d61e9b6d49cc93289ee37c47f" prot="public">
          <name>CY_BLE_BLESS_ECO_FREQ_16MHZ</name>
          <briefdescription>
<para>ECO Frequency of 16MHz. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1gga90f34ffaefcfb39107f8f60a2a910b10ab18e06510cdcdff510803020cadaed89" prot="public">
          <name>CY_BLE_BLESS_ECO_FREQ_32MHZ</name>
          <briefdescription>
<para>ECO Frequency of 32MHz. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_eco_freq_t: </bold><linebreak />BLE ECO Clock Frequency.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="191" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ble_clk.h" bodystart="184" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ble_clk.h" line="185" />
      </memberdef>
      <memberdef id="group__group__ble__clk__data__type_1gaa50dfcc9b2d385a197421f2262e462ff" kind="enum" prot="public" static="no">
        <name>cy_en_ble_eco_sys_clk_div_t</name>
        <enumvalue id="group__group__ble__clk__data__type_1ggaa50dfcc9b2d385a197421f2262e462ffa387fbddbc23b2f682e3e6d49c6a8d04c" prot="public">
          <name>CY_BLE_SYS_ECO_CLK_DIV_1</name>
          <initializer>= 0x00U</initializer>
          <briefdescription>
<para>Link Layer clock divider = 1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1ggaa50dfcc9b2d385a197421f2262e462ffadc32f9a281d44abf83fab992d183fd9b" prot="public">
          <name>CY_BLE_SYS_ECO_CLK_DIV_2</name>
          <briefdescription>
<para>Link Layer clock divider = 2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1ggaa50dfcc9b2d385a197421f2262e462ffafb5022c788a9f7a2ac20bbb230f51553" prot="public">
          <name>CY_BLE_SYS_ECO_CLK_DIV_4</name>
          <briefdescription>
<para>Link Layer clock divider = 4. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1ggaa50dfcc9b2d385a197421f2262e462ffa8588febb4d61bbed6273a0dee163182f" prot="public">
          <name>CY_BLE_SYS_ECO_CLK_DIV_8</name>
          <briefdescription>
<para>Link Layer clock divider = 8. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1ggaa50dfcc9b2d385a197421f2262e462ffa04139c93efdc3f14c2e7ab6e404ed7c2" prot="public">
          <name>CY_BLE_SYS_ECO_CLK_DIV_INVALID</name>
          <briefdescription>
<para>Invalid Link Layer clock divider. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_eco_sys_clk_div_t: </bold><linebreak />BLE ECO System clock divider.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="211" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ble_clk.h" bodystart="194" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ble_clk.h" line="195" />
      </memberdef>
      <memberdef id="group__group__ble__clk__data__type_1ga4a2842fd4c8c89b7b02871bf0398e000" kind="enum" prot="public" static="no">
        <name>cy_en_ble_eco_status_t</name>
        <enumvalue id="group__group__ble__clk__data__type_1gga4a2842fd4c8c89b7b02871bf0398e000a05633590dd585b0b06f87921c8358538" prot="public">
          <name>CY_BLE_ECO_SUCCESS</name>
          <initializer>= 0x00UL</initializer>
          <briefdescription>
<para>ECO started successfully. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1gga4a2842fd4c8c89b7b02871bf0398e000a1c170b497bd4e046ca4b91c647745a15" prot="public">
          <name>CY_BLE_ECO_BAD_PARAM</name>
          <initializer>= CY_PDL_STATUS_ERROR | CY_BLE_CLK_ID | 0x0001UL</initializer>
          <briefdescription>
<para>Invalid input param values. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1gga4a2842fd4c8c89b7b02871bf0398e000ac71c7b509452931cf0896dd874482f8b" prot="public">
          <name>CY_BLE_ECO_RCB_CONTROL_LL</name>
          <initializer>= CY_PDL_STATUS_ERROR | CY_BLE_CLK_ID | 0x0002UL</initializer>
          <briefdescription>
<para>RCB is not available for Firmware control to restart ECO. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1gga4a2842fd4c8c89b7b02871bf0398e000aa3b541da99480066745b0f5d2b50ff04" prot="public">
          <name>CY_BLE_ECO_ALREADY_STARTED</name>
          <initializer>= CY_PDL_STATUS_ERROR | CY_BLE_CLK_ID | 0x0003UL</initializer>
          <briefdescription>
<para>ECO already started. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1gga4a2842fd4c8c89b7b02871bf0398e000ac70ed115b7473b820e20c84b143c1e4c" prot="public">
          <name>CY_BLE_ECO_HARDWARE_ERROR</name>
          <initializer>= CY_PDL_STATUS_ERROR | CY_BLE_CLK_ID | 0x0004UL</initializer>
          <briefdescription>
<para>Hardware error. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_eco_status_t: </bold><linebreak />BLE ECO Clock return value.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="231" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ble_clk.h" bodystart="214" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ble_clk.h" line="215" />
      </memberdef>
      <memberdef id="group__group__ble__clk__data__type_1ga0b65a546765caf85918c9f06e66d25fb" kind="enum" prot="public" static="no">
        <name>cy_en_ble_eco_voltage_reg_t</name>
        <enumvalue id="group__group__ble__clk__data__type_1gga0b65a546765caf85918c9f06e66d25fbabf04e7c9f17091dcbaecd4c80978d021" prot="public">
          <name>CY_BLE_ECO_VOLTAGE_REG_AUTO</name>
          <briefdescription>
<para>Use SIMO Buck or BLE LDO regulator depend on system usage. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__clk__data__type_1gga0b65a546765caf85918c9f06e66d25fba453c9e6c1aae7b69784cdbd8e3e580bb" prot="public">
          <name>CY_BLE_ECO_VOLTAGE_REG_BLESSLDO</name>
          <briefdescription>
<para>Use BLE LDO. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_eco_voltage_reg_t: </bold><linebreak />BLE Voltage regulator.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="242" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ble_clk.h" bodystart="234" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_ble_clk.h" line="235" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>